Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be unavailable on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 661569 - [l10n] [RFE] Replace msgmerge
Summary: [l10n] [RFE] Replace msgmerge
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Publican
Classification: Community
Component: publican
Version: 2.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: 3.0
Assignee: Jeff Fearn 🐞
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks: 820023
TreeView+ depends on / blocked
 
Reported: 2010-12-09 01:09 UTC by Jeff Fearn 🐞
Modified: 2012-10-31 03:11 UTC (History)
4 users (show)

Fixed In Version: 3.0.0
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-10-31 03:11:20 UTC


Attachments (Terms of Use)

Description Jeff Fearn 🐞 2010-12-09 01:09:12 UTC
Description of problem:
To reduce external deps look in to replacing msgmerge with a perl module.

Doing this should also make it easier to support non PO translations, xliff, etc.

Version-Release number of selected component (if applicable):
2.5

Additional info:

CPAN Modules that may assist with this

Text::Levenshtein
Text::LevenshteinXS
Text::JaroWinkler
Text::WagnerFischer
Text::Brew
String::Similarity

Comment 1 Jeff Fearn 🐞 2011-02-17 06:00:26 UTC
I have checked in a patch to trunk that enables using String::Similarity when merging POT changes. --TEST_PO_MERGE has been added to allow testing the new code path:

$ publican update_po --langs de-DE --TEST_PO_MERGE

Needs some serious testing.

Comment 2 Jeff Fearn 🐞 2011-04-18 05:44:33 UTC
This behaviour has been changed.

By default the new code path is used, and the deps on msgmerge have been removed. To use msgmerge it must be manually installed, if missing, and --msgmerg must be used to use that instead of the new perl code.

Comment 3 Jared MORGAN 2012-05-08 23:18:47 UTC
Documentation required for this new command-line flag. Any questions about the new flag, ask in this ticket. Publican 3.0 umbrella ticket added as a dependency of this issue.

Comment 4 Michael Hideo 2012-06-08 02:07:45 UTC
create vm, ensure gettext tools are not present,  install publican 3, build translated book, verify that the book builds w/o gettext.

Comment 5 Ruediger Landmann 2012-06-16 02:16:00 UTC
Verified on publican-3.0-0.fc17.t180.noarch

Ran rpm -e --nodeps gettext

could still build a translated book; PO entries appeared to merge correctly.


Note You need to log in before you can comment on or make changes to this bug.